import { BrsComponent } from "./BrsComponent";
import { BrsValue, ValueKind, BrsBoolean, BrsInvalid } from "../BrsType";
import { BrsType } from "..";
import { Unboxable } from "../Boxing";
export declare class RoInvalid extends BrsComponent implements BrsValue, Unboxable {
    readonly kind = ValueKind.Object;
    private readonly intrinsic;
    getValue(): BrsInvalid;
    constructor();
    unbox(): BrsInvalid;
    copy(): RoInvalid;
    equalTo(other: BrsType): BrsBoolean;
    toString(_parent?: BrsType): string;
}
